Main Page Modules Data Structures File List Data Fields Globals Related Pages

# keyedHashFunctionContext Struct Reference
[Keyed Hash Functions, a.k.a. Message Authentication Codes]

`#include <beecrypt.h>`

## Data Fields
const keyedHashFunction * | algo
keyedHashFunctionParam * | param

## Detailed Description

A keyedHashFunction instance, global functions and specific parameters.

Definition at line 584 of file beecrypt.h.

## Field Documentation

const keyedHashFunction* keyedHashFunctionContext::algo

| global functions and parameters Definition at line 587 of file beecrypt.h. Referenced by keyedHashFunctionContextDigest, keyedHashFunctionContextFree, keyedHashFunctionContextInit, keyedHashFunctionContextReset, keyedHashFunctionContextSetup, keyedHashFunctionContextUpdate, keyedHashFunctionContextUpdateMC, and keyedHashFunctionContextUpdateMP32.

keyedHashFunctionParam* keyedHashFunctionContext::param

| specific parameters Definition at line 589 of file beecrypt.h. Referenced by keyedHashFunctionContextDigest, keyedHashFunctionContextFree, keyedHashFunctionContextInit, keyedHashFunctionContextReset, keyedHashFunctionContextSetup, keyedHashFunctionContextUpdate, keyedHashFunctionContextUpdateMC, and keyedHashFunctionContextUpdateMP32.

The documentation for this struct was generated from the following file:

- beecrypt/beecrypt.h